Vraag & Antwoord

Webprogrammeren & scripting

PHP5 of PHP4?

4 antwoorden
  • Ik ben gestart met PHP te schrijven. Nu wil ik thuis een web server met mysql. en php inrichten. Ik zie dat de meeste hosters nog met php4 werken. Is php4 script compatible met php5? Kan ik beter php4 installeren? Kan ik dan later makkelijk migreren naar php5? by the way: Ik wil het op een windows XP prof machine plaatsen. (lynux is geen optie voor mij) Groeten, Ravaoo
  • Het beste wat je kunt doen is aan je host vragen wat zijn plannen zijn. De meeste hosters zullen nog wel even op php4 blijven, want het is lastig om beide tegelijk op een server te draaien. Ik heb ze zelf beide geinstaleerd thuis. php4 op apache1 en php5 op apache2. Gaat ook nog niet helemaal geweldig, maar iig kan ik zowel in het ene testen als het andere. Wil je maar 1 versie instaleren, dan zou ik nog voor php4 gaan, aangezien php5 redelijk backwards compatible is.
  • Zelf zou ik voor PHP 4 gaan als je niet zoveel doet met Object Oriented-programming, als je hier wel wat mee doet, of hiermee wil beginnen zou ik gelijk naar PHP 5 gaan, aangezien deze een veel betere OO-implementatie heeft. [offtopic]Woohoe, 1e post sinds jaren hier[/offtopic]
  • Als je [url=http://www.apachefriends.org/en/xampp-windows.html]Xampp[/url] installeert, krijg je zowel versie 4.x als versie 5.x van PHP. Je kan dan mbv een batch bestandje wisselen van versie, en zo je code testen.

Beantwoord deze vraag

Weet jij het antwoord op deze vraag? Registreer of meld je aan met je account

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.